    A homogenous spherical 3D shell projected onto 2D.

shell2d
>>> create_model_component("shell2d", "mdl")
>>> print(mdl)

Create a component of the shell2d model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.xpos thawed 0 -3.40282e+38 3.40282e+38 mdl.ypos thawed 0 -3.40282e+38 3.40282e+38 mdl.ampl thawed 1 -3.40282e+38 3.40282e+38 mdl.r0 thawed 1 0 3.40282e+38 mdl.width thawed 0.1 0 3.40282e+38

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
xpos
The center of the shell on the x0 axis.
ypos
The center of the shell on the x1 axis.
ampl
The amplitude.
r0
The line-of-sight distance.
width
The width of the shell.

Notes

The functional form of the model for points is:

f(x0,x1) = ampl * r(x0,x1)

= 0 otherwise

r(x0,x1) = ?

For grids, the x0lo,x1lo values are used in the above equation.

It is not correct for very large shells on the sky.

This model was provided by Christoph Deil.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023